Page MenuHomePhabricator

Convert PageAssessments projects API from a property query to a list query
Closed, ResolvedPublic1 Story Points

Description

The PageAssessments projects API is currently set up as a property query but it should really be a list query (similar to the tags API) since it isn't related to pages.

In other words, it should be:

api.php?action=query&list=projects

...rather than...

api.php?action=query&prop=projects

Event Timeline

kaldari created this task.Dec 14 2016, 1:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2016, 1:59 AM
kaldari claimed this task.Dec 14 2016, 8:59 PM
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari moved this task from Ready to In Development on the Community-Tech-Sprint board.
kaldari updated the task description. (Show Details)Dec 14 2016, 9:06 PM
kaldari set the point value for this task to 1.

Change 327300 had a related patch set uploaded (by Kaldari):
Switch projects API from property query to list query

https://gerrit.wikimedia.org/r/327300

kaldari triaged this task as Low priority.Dec 14 2016, 9:09 PM
kaldari updated the task description. (Show Details)

Change 327300 merged by jenkins-bot:
Switch projects API from property query to list query

https://gerrit.wikimedia.org/r/327300

kaldari closed this task as Resolved.Dec 19 2016, 11:18 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Epic backlog to Archive on the Community-Tech board.Dec 20 2016, 9:37 PM